require 'net/http'
require 'digest/md5'
require 'json'
require 'pddapi/api_pinduoduo'
require "pddapi/version"

module Pddapi
  # Your code goes here...
  PDDURI = "http://gw-api.pinduoduo.com/api/router"

  def system_params(method, client_id)
    {
      type: method,
      client_id: client_id,
      timestamp: Time.now.to_i,
      data_type: 'JSON'
    }
  end

  def action_params
    {}
  end

  def get_sign(hash, secret)
    Digest::MD5.hexdigest(hash.sort.flatten.push(secret).unshift(secret).join(''))
  end
end
